# Find non-legislative districts

Cicero tracks non-legislative district boundaries and makes information about the districts available through the nonlegislative_district resource. The types of non-legislative districts tracked by Cicero vary regionally. The default response ordering is by id.

Use location queries on this resource.

Cost: 1 credit

Endpoint: GET /nonlegislative_district

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `format` (string)
    Specify the desired format of the response.
    Enum: "json", "xml"

  - `customer_id` (string, required)
    Required. The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

  - `district_type` (string, required)
    Required. The type of district.
    Example: "SCHOOL"

  - `lat` (string, required)
    Required. The latitude of the location.
    Example: "33.637562"

  - `lon` (string, required)
    Required. The longitude of the location.
    Example: "-117.606887"

  - `search_loc` (string)
    Required. One line address or a single search string.

  - `search_address` (string)
    Required. The street address of the location.

  - `search_neighborhood` (string)
    Required. The official neighborhood of the location (in countries with postal designations e.g., Mexico).

  - `search_city` (string)
    Required. The city of the location.

  - `search_state` (string)
    Required. The state of the location.

  - `search_postal` (string)
    Required. The postal code of the location.

  - `search_country` (string)
    Required. The country of the location (Use ISO 3166-1 alpha-2 code).

  - `district_id` (string)
    The identifying code for the district within its delegation or district type.

  - `max` (integer)
    The maximum number of objects to return.

  - `offset` (integer)
    Number of items to skip in the response, starting from the beginning of the list.

  - `city` (string)
    The city of the location used as a filter.

  - `state` (string)
    The state of the location used as a filter.

  - `country` (string)
    The country of the location (Use ISO 3166-1 alpha-2 code) used as a filter.

  - `valid_on` (string)
    The date the district is valid on. Date should be specified in a YYYY-MM-DD format.

  - `valid_on_or_after` (string)
    The date the district is valid on or after. Date should be specified in a YYYY-MM-DD format.

  - `valid_on_or_before` (string)
    The date the district is valid on or before. Date should be specified in a YYYY-MM-DD format.

  - `valid_range` (string)
    The dates during which the district is valid. Dates should be specified in a YYYY-MM-DD format and separated by a comma. Use ALL to return every district in all valid date ranges.

  - `key` (string)
    The License Key issued by Melissa.

## Response 200 fields (application/json):

  - `response` (object)

  - `response.errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.

  - `response.messages` (array)
    Contains the resources matching the request query, if any.

  - `response.results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.

  - `response.results.districts` (array)

  - `response.results.districts.id` (number)
    The Cicero database ID for this district. This field is persistent for a given District, but this does not imply that the remainder of the response payload will never change. For example, a correction to the district boundary will change the response payload but will not change the ID. On the other hand, a boundary change due to a legal event such as an annexation or redistricting will result in a new District with a new ID (and appropriate adjustments to the valid_to field, if necessary).

  - `response.results.districts.sk` (number)
    The surrogate key for the district. Provided for API uniformity. For this resource, the SK is equivalent to the ID.

  - `response.results.districts.valid_from` (string)
    The date the district was established. Usually, this is the date of the last redistricting.

  - `response.results.districts.valid_to` (string,null)
    The date when the district's boundaries are expected to be changed. Usually, this is the date of the next redistricting.

  - `response.results.districts.last_update_date` (string)
    Date the Cicero research team last made changes to this district's boundary information.

  - `response.results.districts.district_type` (string)
    The level of government the district represents. See the district_type metadata endpoint for a list of possibilities.

  - `response.results.districts.subtype` (string)
    An additional categorization within district_type.

  - `response.results.districts.country` (string)
    The country the district is within. Uses the ISO 2 country code.

  - `response.results.districts.state` (string)
    The state, province, or region the district is within.

  - `response.results.districts.city` (string)
    The city the district represents, if the district_type is LOCAL or LOCAL_EXEC.

  - `response.results.districts.district_id` (string)
    The identifying code for the district within its delegation or district type. For example, a legislative delegation's 5th district would probably have a district_id of '5'. Non-legislative districts might have an ID assigned by the managing agency (e.g., US Census Block Groups have a GEOID).

  - `response.results.districts.label` (string)
    Descriptive text associated with a district_id, such as the label for the district (e.g., “5th Ward”), or a full label for the district (e.g. “Sealaska Alaska Native Regional Corporation”).

  - `response.results.districts.num_officials` (number)
    The number of elected officials that hold offices representing this district.

  - `response.results.districts.ocd_id` (string,null)
    The Open Civic Data Identifier for the district. Provides a standardized way of specifying and describing a geographic political division.

  - `response.results.districts.data` (object)
    Deprecated.

  - `response.results.count` (object)

  - `response.results.count.from` (integer)

  - `response.results.count.to` (integer)

  - `response.results.count.total` (integer)

## Response 400 fields (application/json):

  - `response` (object)

  - `response.errors` (array)
    If the request encountered an error or errors, details about the error(s) will be contained in this field.
    Example: ["A detailed message about the error."]

  - `response.messages` (array)
    Contains the resources matching the request query, if any.

  - `response.results` (object)
    Contains additional information about the outcome of a request that is not an error and not part of a query result.


